#!/bin/bash
#set -x
homepage="http://podcast.heute.de/journal-video.xml"
homepagefile1=hj1.txt
homepagefile2=hj2.txt
videofiles=/var/lib/video/film/Streaming/heute-journal
svdrpsend=/usr/lib/vdr/svdrpsend.pl

cd /tmp

$svdrpsend MESG 'heute-journal Aktualisierung gestartet'

wget -O $homepagefile1 $homepage

cat  $homepagefile1 |grep 'url=' | gawk -F'"' 'NR==1 {print $6}'| gawk -F'?' '{print $1}'  >$homepagefile2
cat  $homepagefile1 |grep 'url=' | gawk -F'"' 'NR==2 {print $6}'| gawk -F'?' '{print $1}'  >>$homepagefile2

for i in `cat $homepagefile2`; do
    	cd $videofiles
	wget -N $i
	$svdrpsend MESG '$homepagefile2 gedwonloaded'
done
 
find $videofiles -type f  -mtime +3 -exec rm {} \;

$svdrpsend MESG 'heute-journal Nachrichten aktualisieren fertig'


rm $homepagefile1
rm $homepagefile2

exit
